org.activiti.engine.history

## Interface HistoricDetailQuery

- All Superinterfaces:
    Query<HistoricDetailQuery,HistoricDetail>

      public interface HistoricDetailQuery
      extends Query<HistoricDetailQuery,HistoricDetail>

  Programmatic querying for `HistoricDetail`s.
  Author:
    Tom Baeyens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HistoricDetailQuery` | `activityInstanceId(String activityInstanceId)` Only select historic variable updates associated to the given `activity instance`.
    `HistoricDetailQuery` | `excludeTaskDetails()` Exclude all task-related `HistoricDetail`s, so only items which have no task-id set will be selected.
    `HistoricDetailQuery` | `executionId(String executionId)` Only select historic variable updates with the given execution.
    `HistoricDetailQuery` | `formProperties()` Only select `HistoricFormProperty`s.
    `HistoricDetailQuery` | `id(String id)` Only select historic info with the given id.
    `HistoricDetailQuery` | `orderByFormPropertyId()`
    `HistoricDetailQuery` | `orderByProcessInstanceId()`
    `HistoricDetailQuery` | `orderByTime()`
    `HistoricDetailQuery` | `orderByVariableName()`
    `HistoricDetailQuery` | `orderByVariableRevision()`
    `HistoricDetailQuery` | `orderByVariableType()`
    `HistoricDetailQuery` | `processInstanceId(String processInstanceId)` Only select historic variable updates with the given process instance.
    `HistoricDetailQuery` | `taskId(String taskId)` Only select historic variable updates associated to the given `historic task instance`.
    `HistoricDetailQuery` | `variableUpdates()` Only select `HistoricVariableUpdate`s.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### id

          HistoricDetailQuery id(String id)

      Only select historic info with the given id.

    - #### processInstanceId

          HistoricDetailQuery processInstanceId(String processInstanceId)

      Only select historic variable updates with the given process instance. ProcessInstance) ids and {@link HistoricProcessInstance} ids match.

    - #### executionId

          HistoricDetailQuery executionId(String executionId)

      Only select historic variable updates with the given execution. Note that `Execution` ids are not stored in the history as first class citizen, only process instances are.

    - #### activityInstanceId

          HistoricDetailQuery activityInstanceId(String activityInstanceId)

      Only select historic variable updates associated to the given `activity instance`.

    - #### taskId

          HistoricDetailQuery taskId(String taskId)

      Only select historic variable updates associated to the given `historic task instance`.

    - #### formProperties

          HistoricDetailQuery formProperties()

      Only select `HistoricFormProperty`s.

    - #### variableUpdates

          HistoricDetailQuery variableUpdates()

      Only select `HistoricVariableUpdate`s.

    - #### excludeTaskDetails

          HistoricDetailQuery excludeTaskDetails()

      Exclude all task-related `HistoricDetail`s, so only items which have no task-id set will be selected. When used togheter with `taskId(String)`, this call is ignored task details are NOT excluded.

    - #### orderByProcessInstanceId

          HistoricDetailQuery orderByProcessInstanceId()

    - #### orderByVariableName

          HistoricDetailQuery orderByVariableName()

    - #### orderByFormPropertyId

          HistoricDetailQuery orderByFormPropertyId()

    - #### orderByVariableType

          HistoricDetailQuery orderByVariableType()

    - #### orderByVariableRevision

          HistoricDetailQuery orderByVariableRevision()

    - #### orderByTime

          HistoricDetailQuery orderByTime()

Copyright © 2016 Alfresco. All rights reserved.